Subject: RE: any real-world SHA-256 repo users out there?

From: <[email-masked]>
Date: Sun, 3 Apr 2022 13:55:45 -0400

On April 3, 2022 1:36 PM, brian m. carlson wrote:
>On 2022-04-03 at 08:42:58, Eric Wong wrote:
>> Hey all, just wondering if it's something I should prioritize adding
>> support for in some git-using project I hack on...
>>
>> Of course, I'm not dropping SHA-1 support.  So I'm wondering if I
>> should wait for (or hack on :P) git to handle both SHA-256 and
>> SHA-1 in one process; or if it's something I'd be better off managing
>> via multiple (git cat-file --batch) processes.  No OIDs are
>> abbreviated, so it's just 20/40 vs 32/64.
>
>Git can already use one binary to handle SHA-1 and SHA-256 repositories and has
>been able to since Git 2.29 (although 2.30 has some fixes you should use). It just
>doesn't provide interop at this point, and I'm only working on it as I find time, so I
>wouldn't hold your breath for it.
>
>I have some indefinite plans to improve the support for SHA-1/SHA-256 interop in
>the future, as well as port SHA-256 support to libgit2, but those are dependent on
>some things which are not certain (but very
>likely) to occur.
>
>I strongly encourage folks to add SHA-256 repository support to tooling since it's
>likely going to become more popular in the future.  I have some local SHA-256
>repositories on my systems and they appear to work fine.

Our tooling works correctly regardless of the choice of SHA-256, but have been waiting for GitHub et. al., to provide capabilities. I would welcome interoperability. What help do you need?

Regards,
Randall